Actions

Help

Building PHP for SugarCRM

From OpenLiteSpeed Wiki

Building PHP for SugarCRM

Sugar CE does not currently support PHP 5.4 , 5.5 or higher. Compile PHP 5.3.x in the OpenLiteSpeed WebAdmin console (WebAdmin console > Actions > Compile PHP) with the following options:

Configure Parameters:

'--with-mysqli=mysqlnd' '--with-zlib' '--with-gd' '--enable-shmop' '--enable-sockets' '--enable-sysvsem' '--enable-sysvshm' '--enable-magic-quotes' '--enable-mbstring' '--with-iconv' '--with-litespeed' '--with-pdo-mysql=mysqlnd' '--with-mysql' '--with-imap=shared' '--with-curl' '--with-libdir=lib64' '--with-kerberos' '--with-imap-ssl' '--enable-zip'

Note: '--with-libdir=lib64' is for x86_64 system only.

Add-on Modules:
PHP Mail Header Cache
APC

pecl/memcache
SugarCE-php-compile.png